import request from '@/utils/request'

// 查询装置培训计划列表
export function listRegular(query) {
  return request({
    url: '/training/regular/list',
    method: 'get',
    params: query
  })
}

// 查询装置培训计划详细
export function getRegular(id) {
  return request({
    url: '/training/regular/' + id,
    method: 'get'
  })
}

// 新增装置培训计划
export function addRegular(data) {
  return request({
    url: '/training/regular',
    method: 'post',
    data: data
  })
}

// 修改装置培训计划
export function updateRegular(data) {
  return request({
    url: '/training/regular',
    method: 'put',
    data: data
  })
}

// 删除装置培训计划
export function delRegular(id) {
  return request({
    url: '/training/regular/' + id,
    method: 'delete'
  })
}

// 导出装置培训计划
export function exportRegular(query) {
  return request({
    url: '/training/regular/export',
    method: 'get',
    params: query
  })
}
